Bug 431695 - wpa_supplicant wants to search debugfs? AVC....
wpa_supplicant wants to search debugfs? AVC....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 10:59 EST by Tom London
Modified: 2009-06-10 06:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 06:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-02-06 10:59:49 EST
Description of problem:
Running today's Rawhide targeted (enforcing or permissive), with previous
dhclient (today's seg faults for me), I get the following when trying to
associate with wireless network:

type=AVC msg=audit(1202313131.399:66): avc:  denied  { search } for  pid=2689
comm="wpa_supplicant" name="keys" dev=debugfs ino=5128
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:object_r:debugfs_t:s0 tclass=dir
type=SYSCALL msg=audit(1202313131.399:66): arch=40000003 syscall=54 success=yes
exit=0 a0=9 a1=8b34 a2=bfedd778 a3=88025cc items=0 ppid=1 pid=2689
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="wpa_supplicant" exe="/usr/sbin/wpa_supplicant"
subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Don't recall seeing this before (debugfs_t????)

Version-Release number of selected component (if applicable):
selinux-policy-3.2.6-6.fc9.noarch
wpa_supplicant-0.5.7-21.fc9.i386
dhclient-4.0.0-6.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2008-02-06 15:42:16 EST
Dan is this something new?  Or is it just for debugging?
Comment 2 Dan Williams 2008-02-06 21:26:26 EST
Nothing new that I know of, and I can't imagine why it would want to look in
debugfs...
Comment 3 Tom London 2008-02-07 09:38:32 EST
Get similar AVCs with selinux-policy-3.2.7-1.fc9 (enforcing):

type=AVC msg=audit(1202394942.926:29): avc:  denied  { search } for  pid=2694
comm="wpa_supplicant" name="keys" dev=debugfs ino=5587
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:object_r:debugfs_t:s0 tclass=dir
type=SYSCALL msg=audit(1202394942.926:29): arch=40000003 syscall=54 success=yes
exit=0 a0=9 a1=8b34 a2=bff6d008 a3=98a85cc items=0 ppid=1 pid=2694
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="wpa_supplicant" exe="/usr/sbin/wpa_supplicant"
subj=system_u:system_r:NetworkManager_t:s0 key=(null)
type=AVC msg=audit(1202394943.136:30): avc:  denied  { search } for  pid=2694
comm="wpa_supplicant" name="keys" dev=debugfs ino=5587
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:object_r:debugfs_t:s0 tclass=dir
type=AVC msg=audit(1202394943.136:30): avc:  denied  { search } for  pid=2694
comm="wpa_supplicant" name="netdev:wlan0" dev=debugfs ino=5733
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:object_r:debugfs_t:s0 tclass=dir
type=SYSCALL msg=audit(1202394943.136:30): arch=40000003 syscall=54 success=yes
exit=0 a0=9 a1=8b34 a2=bff6cf98 a3=bff6d028 items=0 ppid=1 pid=2694
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="wpa_supplicant" exe="/usr/sbin/wpa_supplicant"
subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Comment 4 Daniel Walsh 2008-02-07 10:52:00 EST
Could this be a kernel bug?  Kernel configuration?

It is searching a keys directory and nedev:wlan0 directory in a debugfs file system?
Comment 5 Tom London 2008-02-07 18:15:23 EST
Uhhhh

[root@localhost boot]# grep DEBUGFS conf*
config-2.6.24-0.41.rc3.git1.fc9:# CONFIG_MAC80211_DEBUGFS is not set
config-2.6.24-17.fc9:CONFIG_MAC80211_DEBUGFS=y
config-2.6.24-17.fc9:CONFIG_RT2X00_LIB_DEBUGFS=y
config-2.6.24-23.fc9:CONFIG_MAC80211_DEBUGFS=y
config-2.6.24-23.fc9:CONFIG_RT2X00_LIB_DEBUGFS=y
config-2.6.24-2.fc9:# CONFIG_MAC80211_DEBUGFS is not set
config-2.6.24-7.fc9:# CONFIG_MAC80211_DEBUGFS is not set
config-2.6.24-9.fc9:# CONFIG_MAC80211_DEBUGFS is not set
[root@localhost boot]# 

What, exactly is CONFIG_MAC80211_DEBUGFS?  (etc.)

Seems to have been turned on in 2.6.24-17 (and not before)....

Could that be causing this?
Comment 6 Bug Zapper 2008-05-14 01:01:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 19:30:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Daniel Walsh 2009-06-10 06:21:48 EDT
Allowed in current policy.  So I am just going to close this bug.

Note You need to log in before you can comment on or make changes to this bug.